Almico's Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001778SpeedFanOtherpublic2011-04-05 16:592011-06-30 19:24
Reporterlouis 
Assigned Toalfredo 
PriorityurgentSeverityblockReproducibilityalways
StatusresolvedResolutionfixed 
PlatformAMD X4 790 MB 4850 GPUOSWINDOWS7OS Version 64
Product Version4.43 
Target VersionFixed in Version4.44 beta 
Summary0001778: Crashing and Hanging system since 4.4.3 beta's
DescriptionAlfredo,


A few weeks ago installed an earlear version of speedfan 443 beta, which was so dramatic that I had to reinstall a backup to get my system running again.

However I am a long time fan (and user of the latest regular version) of speedfan and decided to test the actual beta (13) today.

Not so dramatic as last time, but it still hangs my system, however I can remover the beta now using the configuration screen.

Of course I could not report my findings the normal way, since the speedfan beta is not running here.

For info a global description of my actual system:
- Windows7 64 bit ultimate SP1
- GigaByte MA790GP DS4H motherboard with AMD quadcore
- ATI 4850 Video card
Everything latest drivers and latest patch levels


Also note that:
- above a copy of a mail send to u weeks ago
- I just installed 4.4.4beta2 has the same proble as the later 4.4.3 versions


As you understrand the work around is using version 442


Please withdraw 443 from the website and replace it with 442 !!!!


Sincerely,


Louis
Steps To ReproduceJust install the new version
- after installing the early 443 beta's the system crashed
- later on and now 444b2 the system freeses especially the taskbar
Additional InformationAttached the msinfo32 generated .nfo file.
TagsNo tags attached.
Motherboard ModelGigaByte MA790GP DS4H
Video Card ModelAMD 4850
Attached Fileszip file icon Crashing and Hanging system since 4.4.3 beta's.nfo.zip [^] (81,756 bytes) 2011-04-05 17:08
? file icon 20110407 444beta4 grep after restart debug.nfo [^] (85,033 bytes) 2011-04-07 14:50

- Relationships

-  Notes
(0006037)
alfredo (manager)
2011-04-05 18:01

Please, upload here DEBUG.NFO file from SpeedFan's directory after a the issue has surfaced. By the way, you say that "the system freezes especially the taskbar". Could you elaborate, please? It's not that clear what you exactly mean by "freezes".
(0006063)
louis (reporter)
2011-04-07 13:39
edited on: 2011-04-07 13:46

Alfredo,

- I *can not* send you the debug.nfo for the simple reason that new speedfan versions are almost killing my system, do not work !!

- I did already attached the normal windows nfo file to provide you with all system details

- after:
a) installing the new speedfan version and
b) restarting the system,
c) start speedfan form this userd account (by hand as administrator, speedfan used to start automaticly)

The system is barelly working. Taskbar and speedfan icon does not react (freezes).
The rest of the desktop is still working, a very little bit

So, no other option than a reset button forced restart, folowed by a speefan remove :>


Louis

(0006064)
alfredo (manager)
2011-04-07 14:00

DEBUG.NFO is a file generated by SpeedFan in the same directory where speedfan.exe resides. It contains debug text information about what SpeedFan did. That is the file I need to look at. You can find it after SpeedFan has run, even after rebooting because of the slow downs.
If you run SpeedFan with the following command line parameters you should have a working SpeedFan (with reduced functionalities):
/NOSMBSCAN
/NOSMARTSCAN
/NOPCISCAN
(0006065)
alfredo (manager)
2011-04-07 14:01

Isolating the working parameter will be great to find the cause of the issue and fix it.
(0006066)
louis (reporter)
2011-04-07 14:50

Alfredo to start with I add the debug nfo as greped after a forced reboot


Louis
(0006067)
louis (reporter)
2011-04-07 14:54

Note that the HD led was on alle the time before I did the forced restart. I would not be supprised if it has something to do with HD smart. If I remember correctly, smart via speefan never worked for me (SB750 MB)

I will do a test with /NOSMARTSCAN

Louis
(0006068)
louis (reporter)
2011-04-07 15:03

1) I just started speedfan 444 beta4 with option /NOSMARTSCAN. That seems to run as expected!

So problem is in related to reading HD SMART info, which always have been a problem aeria for speedfan (at least on my SB750 based MBs)


2) given the bug, it helped me that speedfan was not starting automaticly (so I could still control my system) but.
- Long time problem I have is that speedfan should IMHO startup at system boot before any user is loged in (!!)
- and stay running if a user logsout
- should perhaps run as a service ??


Louis
(0006069)
alfredo (manager)
2011-04-07 15:41

Please, try with /NOADVSMARTSCAN .
While speedfan is running, enter CONFIGURE / OPTIONS and uncheck the "do summary log scan" or something like that (I do not have speedfan running now). It should fix the issue even without the command line parameter.
(0006070)
louis (reporter)
2011-04-07 15:50

Alfredo,

That helped !! Something teribly wrong with that scan!

I have now a lot of HD-readings which never worked up to now as well (great!)

Related to my other remark, starting speedfan at boot, independend from user logins!?


Louis

- Issue History
Date Modified Username Field Change
2011-04-05 16:59 louis New Issue
2011-04-05 16:59 louis Status new => assigned
2011-04-05 16:59 louis Assigned To => alfredo
2011-04-05 17:08 louis File Added: Crashing and Hanging system since 4.4.3 beta's.nfo.zip
2011-04-05 18:01 alfredo Note Added: 0006037
2011-04-05 18:01 alfredo Status assigned => acknowledged
2011-04-07 13:39 louis Note Added: 0006063
2011-04-07 13:45 louis Note Edited: 0006063 View Revisions
2011-04-07 13:46 louis Note Edited: 0006063 View Revisions
2011-04-07 14:00 alfredo Note Added: 0006064
2011-04-07 14:01 alfredo Note Added: 0006065
2011-04-07 14:50 louis Note Added: 0006066
2011-04-07 14:50 louis File Added: 20110407 444beta4 grep after restart debug.nfo
2011-04-07 14:54 louis Note Added: 0006067
2011-04-07 15:03 louis Note Added: 0006068
2011-04-07 15:41 alfredo Note Added: 0006069
2011-04-07 15:50 louis Note Added: 0006070
2011-06-30 19:24 alfredo Status acknowledged => resolved
2011-06-30 19:24 alfredo Resolution open => fixed
2011-06-30 19:24 alfredo Fixed in Version => 4.44 beta


Copyright © 2000 - 2018 MantisBT Team
Time: 0.3051 seconds.
memory usage: 8,113 KB
Powered by Mantis Bugtracker